import torch
from PIL import Image

class Config(object):
    
    model_names = ['arcface34','arcface50','cosface50']
    threat_name = 'facenet'
    num_classes = 5752
    targeted = True
    target = 5198

    sticker = Image.new('RGBA',(30,25),(255,255,255,255))
    device = torch.device('cuda:0' if torch.cuda.is_available() else 'cpu')
    display = False

    width, height = 160, 160
    emp_iterations = 50
    sapce_thd = 5
    adv_img_folder = './check/adv_check'
    
    joblib_folder = './check/temp_stage'
    
 